<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Tue Oct 14 13:30:14 CEST 2014 -->
<title>AbstractGraph</title>
<meta name="date" content="2014-10-14">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="AbstractGraph";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AbstractGraph.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/CONLLGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html" target="_top">Frames</a></li>
<li><a href="AbstractGraph.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">fr.inria.alpage.frmgcm.corpus.format</div>
<h2 title="Class AbstractGraph" class="title">Class AbstractGraph</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>fr.inria.alpage.frmgcm.corpus.format.AbstractGraph</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/CONLLGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">CONLLGraph</a>, <a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/DepCONLLGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">DepCONLLGraph</a>, <a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/DepXMLGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">DepXMLGraph</a>, <a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/JSONGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">JSONGraph</a>, <a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/PassageGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">PassageGraph</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="strong">AbstractGraph</span>
extends java.lang.Object</pre>
<div class="block">This class is the abstact base class representing a graph under a certain type of format (see fr.inria.alpage.frmgcm.corpus.format package)</div>
<dl><dt><span class="strong">Author:</span></dt>
  <dd>paul</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.util.HashMap&lt;java.lang.String,java.util.HashMap&lt;java.lang.String,java.lang.Object&gt;&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html#formats">formats</a></strong></code>
<div class="block">static informations about available formats (file extension, class helper and name)</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../../fr/inria/alpage/frmgcm/gm/GraphRevision.html" title="class in fr.inria.alpage.frmgcm.gm">GraphRevision</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html#graphRevision">graphRevision</a></strong></code>
<div class="block">The <a href="../../../../../../fr/inria/alpage/frmgcm/gm/GraphRevision.html" title="class in fr.inria.alpage.frmgcm.gm"><code>GraphRevision</code></a> the formated graph is bound to</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html#parsedData">parsedData</a></strong></code>
<div class="block">Generic object used to store formated data of the graph depending of the format</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static com.mongodb.BasicDBObject</code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html#tagsets">tagsets</a></strong></code>
<div class="block">Datastore used to gather tagsets (should be removed when sufficient information has been retrieved)</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html#AbstractGraph()">AbstractGraph</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">AbstractGraph</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html#Create(fr.inria.alpage.frmgcm.gm.GraphRevision,%20java.lang.String)">Create</a></strong>(<a href="../../../../../../fr/inria/alpage/frmgcm/gm/GraphRevision.html" title="class in fr.inria.alpage.frmgcm.gm">GraphRevision</a>&nbsp;data,
      java.lang.String&nbsp;format)</code>
<div class="block">Factory</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>abstract java.util.ArrayList&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html#getContent()">getContent</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>abstract com.mongodb.BasicDBObject</code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html#getDepGraphData()">getDepGraphData</a></strong>()</code>
<div class="block">The graph data to the depgraph(json) format</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static com.mongodb.BasicDBObject</code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html#getIndexedSentence(java.lang.String,%20java.lang.String)">getIndexedSentence</a></strong>(java.lang.String&nbsp;ownerId,
                  java.lang.String&nbsp;id)</code>
<div class="block">Retrieve the indexed sentence defined by the couple (ownerId and id)</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>abstract java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html#getSentenceString()">getSentenceString</a></strong>()</code>
<div class="block">The sentence that the graph represent</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>abstract java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html#getSignature(java.lang.String)">getSignature</a></strong>(java.lang.String&nbsp;highlightings)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html#indexSentence(fr.inria.alpage.frmgcm.corpus.Document,%20java.lang.String,%20java.lang.String,%20boolean)">indexSentence</a></strong>(<a href="../../../../../../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a>&nbsp;owner,
             java.lang.String&nbsp;id,
             java.lang.String&nbsp;vid,
             boolean&nbsp;checkReplace)</code>
<div class="block"><strong>Deprecated.</strong>&nbsp;&nbsp;</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html#indexSentence(java.lang.String,%20java.lang.String,%20java.lang.String,%20boolean)">indexSentence</a></strong>(java.lang.String&nbsp;ownerId,
             java.lang.String&nbsp;id,
             java.lang.String&nbsp;vid,
             boolean&nbsp;checkReplace)</code>
<div class="block">Store and index sentence with elastic search</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>abstract void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html#indexSentenceContent(com.mongodb.BasicDBObject)">indexSentenceContent</a></strong>(com.mongodb.BasicDBObject&nbsp;json)</code>
<div class="block">Populate the indexation data with graph informations</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html#indexSentenceInfo(java.lang.String,%20java.lang.String,%20java.lang.String)">indexSentenceInfo</a></strong>(java.lang.String&nbsp;ownerId,
                 java.lang.String&nbsp;id,
                 java.lang.String&nbsp;vid)</code>
<div class="block">String version of the indexation data used by elasticsearch</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected abstract void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html#parseFromStringData(java.lang.String)">parseFromStringData</a></strong>(java.lang.String&nbsp;data)</code>
<div class="block">Construct and store the data of the graph from the raw formatted data string</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html#registerFeatureVal(java.lang.String,%20java.lang.String,%20java.lang.String,%20java.lang.String)">registerFeatureVal</a></strong>(java.lang.String&nbsp;tagsetName,
                  java.lang.String&nbsp;objType,
                  java.lang.String&nbsp;featureName,
                  java.lang.String&nbsp;featureVal)</code>
<div class="block">Register features values found in data => generate a tagset</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>abstract java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html#restoreRevision()">restoreRevision</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html#saveRevision(fr.inria.alpage.frmgcm.corpus.Document,%20java.lang.Object[])">saveRevision</a></strong>(<a href="../../../../../../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a>&nbsp;owner,
            java.lang.Object[]&nbsp;fileinfo)</code>
<div class="block">Save the revision into a file (used in CorpusManagementApplication when saving an edited graph)</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>abstract boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html#saveRevision(java.io.PrintWriter)">saveRevision</a></strong>(java.io.PrintWriter&nbsp;pw)</code>
<div class="block">Write the formatted content of the graph into a file (this method is yet not implemented for every formats!)</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html#saveTagset()">saveTagset</a></strong>()</code>
<div class="block">Save the tagset in database</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>abstract void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html#setIDOffset(int)">setIDOffset</a></strong>(int&nbsp;offset)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="parsedData">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>parsedData</h4>
<pre>public&nbsp;java.lang.Object parsedData</pre>
<div class="block">Generic object used to store formated data of the graph depending of the format</div>
</li>
</ul>
<a name="graphRevision">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>graphRevision</h4>
<pre>protected&nbsp;<a href="../../../../../../fr/inria/alpage/frmgcm/gm/GraphRevision.html" title="class in fr.inria.alpage.frmgcm.gm">GraphRevision</a> graphRevision</pre>
<div class="block">The <a href="../../../../../../fr/inria/alpage/frmgcm/gm/GraphRevision.html" title="class in fr.inria.alpage.frmgcm.gm"><code>GraphRevision</code></a> the formated graph is bound to</div>
</li>
</ul>
<a name="formats">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>formats</h4>
<pre>public static&nbsp;java.util.HashMap&lt;java.lang.String,java.util.HashMap&lt;java.lang.String,java.lang.Object&gt;&gt; formats</pre>
<div class="block">static informations about available formats (file extension, class helper and name)</div>
</li>
</ul>
<a name="tagsets">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>tagsets</h4>
<pre>public static&nbsp;com.mongodb.BasicDBObject tagsets</pre>
<div class="block">Datastore used to gather tagsets (should be removed when sufficient information has been retrieved)</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AbstractGraph()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AbstractGraph</h4>
<pre>public&nbsp;AbstractGraph()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="Create(fr.inria.alpage.frmgcm.gm.GraphRevision, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Create</h4>
<pre>public static&nbsp;<a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format">AbstractGraph</a>&nbsp;Create(<a href="../../../../../../fr/inria/alpage/frmgcm/gm/GraphRevision.html" title="class in fr.inria.alpage.frmgcm.gm">GraphRevision</a>&nbsp;data,
                   java.lang.String&nbsp;format)</pre>
<div class="block">Factory</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the abstract formatted graph</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.SecurityException</code></dd>
<dd><code>java.lang.NoSuchMethodException</code></dd>
<dd><code>java.lang.reflect.InvocationTargetException</code></dd>
<dd><code>java.lang.IllegalArgumentException</code></dd>
<dd><code>java.lang.IllegalAccessException</code></dd>
<dd><code>java.lang.InstantiationException</code></dd></dl>
</li>
</ul>
<a name="registerFeatureVal(java.lang.String, java.lang.String, java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>registerFeatureVal</h4>
<pre>public static&nbsp;void&nbsp;registerFeatureVal(java.lang.String&nbsp;tagsetName,
                      java.lang.String&nbsp;objType,
                      java.lang.String&nbsp;featureName,
                      java.lang.String&nbsp;featureVal)</pre>
<div class="block">Register features values found in data => generate a tagset</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>objType</code> - (Node or Edge)</dd><dd><code>featureName</code> - </dd><dd><code>featureVal</code> - </dd></dl>
</li>
</ul>
<a name="saveTagset()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>saveTagset</h4>
<pre>public static&nbsp;void&nbsp;saveTagset()</pre>
<div class="block">Save the tagset in database</div>
</li>
</ul>
<a name="indexSentence(fr.inria.alpage.frmgcm.corpus.Document, java.lang.String, java.lang.String, boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>indexSentence</h4>
<pre>public&nbsp;void&nbsp;indexSentence(<a href="../../../../../../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a>&nbsp;owner,
                 java.lang.String&nbsp;id,
                 java.lang.String&nbsp;vid,
                 boolean&nbsp;checkReplace)
                   throws java.lang.Exception</pre>
<div class="block"><span class="strong">Deprecated.</span>&nbsp;<i></i></div>
<div class="block">Store and index sentence with elastic search</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>owner</code> - the document in which the graph is referenced</dd><dd><code>the</code> - id of the graph</dd><dd><code>the</code> - version of the graph</dd><dd><code>checkReplace</code> - if true, check if previous version of the graph is already indexed and replace it, else index the graph as a new one</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd></dl>
</li>
</ul>
<a name="indexSentence(java.lang.String, java.lang.String, java.lang.String, boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>indexSentence</h4>
<pre>public&nbsp;void&nbsp;indexSentence(java.lang.String&nbsp;ownerId,
                 java.lang.String&nbsp;id,
                 java.lang.String&nbsp;vid,
                 boolean&nbsp;checkReplace)
                   throws java.lang.Exception</pre>
<div class="block">Store and index sentence with elastic search</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>ownerId</code> - the id of the owner in which the graph is referenced (Document or SentenceCollection)</dd><dd><code>the</code> - id of the graph</dd><dd><code>the</code> - version of the graph</dd><dd><code>checkReplace</code> - if true, check if previous version of the graph is already indexed and replace it, else index the graph as a new one</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd></dl>
</li>
</ul>
<a name="indexSentenceInfo(java.lang.String, java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>indexSentenceInfo</h4>
<pre>public&nbsp;java.lang.String&nbsp;indexSentenceInfo(java.lang.String&nbsp;ownerId,
                                 java.lang.String&nbsp;id,
                                 java.lang.String&nbsp;vid)</pre>
<div class="block">String version of the indexation data used by elasticsearch</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>ownerId</code> - the id of the object (Document or SentenceCollection) the graph is referred</dd><dd><code>id</code> - the id of the graph</dd><dd><code>vid</code> - the version of the graph</dd>
<dt><span class="strong">Returns:</span></dt><dd>the string version of the index object that will be passed to elasticseach index</dd></dl>
</li>
</ul>
<a name="getSentenceString()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSentenceString</h4>
<pre>public abstract&nbsp;java.lang.String&nbsp;getSentenceString()</pre>
<div class="block">The sentence that the graph represent</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the sentence derived from the graph</dd></dl>
</li>
</ul>
<a name="getDepGraphData()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDepGraphData</h4>
<pre>public abstract&nbsp;com.mongodb.BasicDBObject&nbsp;getDepGraphData()</pre>
<div class="block">The graph data to the depgraph(json) format</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the data to the depgraph format</dd></dl>
</li>
</ul>
<a name="indexSentenceContent(com.mongodb.BasicDBObject)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>indexSentenceContent</h4>
<pre>public abstract&nbsp;void&nbsp;indexSentenceContent(com.mongodb.BasicDBObject&nbsp;json)</pre>
<div class="block">Populate the indexation data with graph informations</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>json</code> - the data that will be send to elasticsearch for indexing (see indexing schema in mgwiki documentation)</dd></dl>
</li>
</ul>
<a name="parseFromStringData(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>parseFromStringData</h4>
<pre>protected abstract&nbsp;void&nbsp;parseFromStringData(java.lang.String&nbsp;data)
                                     throws java.lang.Exception</pre>
<div class="block">Construct and store the data of the graph from the raw formatted data string</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>data</code> - the raw formatted string data</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd></dl>
</li>
</ul>
<a name="saveRevision(fr.inria.alpage.frmgcm.corpus.Document, java.lang.Object[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>saveRevision</h4>
<pre>public&nbsp;java.lang.String&nbsp;saveRevision(<a href="../../../../../../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus">Document</a>&nbsp;owner,
                            java.lang.Object[]&nbsp;fileinfo)</pre>
<div class="block">Save the revision into a file (used in CorpusManagementApplication when saving an edited graph)</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>owner</code> - the document owner of the graph</dd><dd><code>fileinfo</code> - the file information about where to store the graph</dd>
<dt><span class="strong">Returns:</span></dt><dd>"ok" if all went well, null otherwise</dd></dl>
</li>
</ul>
<a name="saveRevision(java.io.PrintWriter)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>saveRevision</h4>
<pre>public abstract&nbsp;boolean&nbsp;saveRevision(java.io.PrintWriter&nbsp;pw)</pre>
<div class="block">Write the formatted content of the graph into a file (this method is yet not implemented for every formats!)</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>pw</code> - the printwriter that handle the file writting buffer</dd>
<dt><span class="strong">Returns:</span></dt><dd>a boolean indication if the operation was a success</dd></dl>
</li>
</ul>
<a name="restoreRevision()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>restoreRevision</h4>
<pre>public abstract&nbsp;java.lang.String&nbsp;restoreRevision()</pre>
<dl><dt><span class="strong">Returns:</span></dt><dd></dd></dl>
</li>
</ul>
<a name="setIDOffset(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIDOffset</h4>
<pre>public abstract&nbsp;void&nbsp;setIDOffset(int&nbsp;offset)</pre>
</li>
</ul>
<a name="getIndexedSentence(java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIndexedSentence</h4>
<pre>public static&nbsp;com.mongodb.BasicDBObject&nbsp;getIndexedSentence(java.lang.String&nbsp;ownerId,
                                           java.lang.String&nbsp;id)</pre>
<div class="block">Retrieve the indexed sentence defined by the couple (ownerId and id)</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>ownerId</code> - the <a href="../../../../../../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus"><code>Document</code></a> or <code>SentenceCollection</code> id that own the graph</dd><dd><code>id</code> - the id of the graph</dd>
<dt><span class="strong">Returns:</span></dt><dd>the elasticsearch result object of the query</dd></dl>
</li>
</ul>
<a name="getContent()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getContent</h4>
<pre>public abstract&nbsp;java.util.ArrayList&lt;java.lang.String&gt;&nbsp;getContent()</pre>
</li>
</ul>
<a name="getSignature(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getSignature</h4>
<pre>public abstract&nbsp;java.lang.String&nbsp;getSignature(java.lang.String&nbsp;highlightings)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AbstractGraph.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../../../fr/inria/alpage/frmgcm/corpus/format/CONLLGraph.html" title="class in fr.inria.alpage.frmgcm.corpus.format"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?fr/inria/alpage/frmgcm/corpus/format/AbstractGraph.html" target="_top">Frames</a></li>
<li><a href="AbstractGraph.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
